Frontend Donor
Post Donor View Entity Message
Allows a donor to send a message to an entity.
POST
/
frontend
/
donor
/
dashboard
/
entity
/
compose_message
/
{client_id}
/
{program_id}
/
{entity_id}
/
{parent_id}
/
{session_id}
Post Donor View Entity Message
curl --request POST \
--url https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/compose_message/{client_id}/{program_id}/{entity_id}/{parent_id}/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"message": "Message content",
"subject": "Subject of Message"
}
'import requests
url = "https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/compose_message/{client_id}/{program_id}/{entity_id}/{parent_id}/{session_id}"
payload = {
"message": "Message content",
"subject": "Subject of Message"
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: 'Message content', subject: 'Subject of Message'})
};
fetch('https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/compose_message/{client_id}/{program_id}/{entity_id}/{parent_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"redirect": "<string>"
}{
"message": "<string>",
"status": "error"
}Authorizations
Use a session id to authenticate
Path Parameters
Client ID associated with the donor
Program ID associated with the donor
Entity ID for which the message is intended
Parent ID for the message thread
Example:
"1 or undefined"
Session ID for the donor
Body
application/json
Message data from donor
⌘I
Post Donor View Entity Message

